
pi-vote - Bug / Feature #211

Source and documentation

09 November 2010 09:40 - spale

Status: Closed Start date: 09 November 2010

Priority: Normal Due date:  

Assignee: Exception % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: N/A   

Request Type: Feature Request Affected Users: Developers

Affected Program: None   

Description

I'd like to implement a client. Therefore I request the source code of the current client and server implementations and the

documentation of the client-server protocol.

History

#1 - 09 November 2010 10:44 - dergringo

I'm not part of this project, but there is a subversion repository which seems to hold the stuff you requested: https://dev.piratenpartei.ch/svn/pi-vote

#2 - 09 November 2010 11:02 - spale

Yes Philipp, but how so I SVN on this?

#3 - 09 November 2010 12:10 - Exception

The documentation isn't progressed that far mostly because the protocol or rather the message/containers used are quite complex.

#4 - 09 November 2010 14:46 - dergringo

Pascal Gloor wrote:

Yes Philipp, but how so I SVN on this?

 svn co https://dev.piratenpartei.ch/svn/pi-vote

#5 - 09 November 2010 21:34 - Exception

- Category set to Documentation

- Status changed from New to 2

- Assignee set to Exception

#6 - 07 January 2011 00:34 - Exception

- % Done changed from 0 to 50

#7 - 20 January 2011 15:27 - Exception

A version of the Pi-Vote Protocol documentation can now be found in the files section.

#8 - 24 January 2011 02:39 - spale

I had a quick look at the doc are something 'popped up' in front of my eyes. In point 1.2 "Example", I see length and data. Length is an int32 host

encoded, not in network byte order. Is this a mistake or done on purpose? RFC791 (IPv4) is pretty clear about this: "The order of transmission of the

header and data described in this document is resolved to the octet level.  Whenever a diagram shows a group of octets, the order of transmission of

those octets is the normal order in which they are read in English.", meaning most significant octet is 'left' and less significant octet is 'right'.

http://en.wikipedia.org/wiki/Endianness#Endianness_in_networking

#9 - 08 December 2012 23:45 - Exception

- Tracker changed from 3 to Bug / Feature

- Status changed from 2 to Needs Work
#10 - 09 December 2012 00:26 - Exception

- Status changed from Needs Work to Done

- Target version set to N/A

- Request Type set to Feature Request

- Affected Program set to None

- Affected Users set to Developers

Standing tasks will no longer be handled as ticket.

#11 - 08 January 2013 01:00 - admin

- Status changed from Done to Closed

Automatically closed after 30 days
